[arch-commits] Commit in haskell-network/repos/community-staging-x86_64 (2 files)

Felix Yan felixonmars at archlinux.org
Wed Apr 1 22:34:42 UTC 2020


    Date: Wednesday, April 1, 2020 @ 22:34:41
  Author: felixonmars
Revision: 609306

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-network/repos/community-staging-x86_64/PKGBUILD
    (from rev 609305, haskell-network/trunk/PKGBUILD)
Deleted:
  haskell-network/repos/community-staging-x86_64/PKGBUILD

----------+
 PKGBUILD |   88 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-01 22:34:27 UTC (rev 609305)
+++ PKGBUILD	2020-04-01 22:34:41 UTC (rev 609306)
@@ -1,44 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Thomas Dziedzic <gostrc at gmail.com>
-
-_hkgname=network
-pkgname=haskell-network
-pkgver=3.1.1.1
-pkgrel=5
-pkgdesc="Low-level networking interface"
-url="https://hackage.haskell.org/package/${_hkgname}"
-license=('BSD')
-arch=('x86_64')
-depends=('ghc-libs')
-makedepends=('ghc' 'haskell-doctest' 'haskell-hspec' 'haskell-hunit')
-source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('caafd3c0730d0f6378230e0acdf285ca50480f02a44963c1f9ae9dc3d53cd496dd3171d7ff4bf79a1e072b85698d74f82d8075b999d5ba1d17ab1429c8094ca8')
-
-build() {
-    cd $_hkgname-$pkgver
-    
-    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
-        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
-    runhaskell Setup build
-    runhaskell Setup register --gen-script
-    runhaskell Setup unregister --gen-script
-    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
-    cd $_hkgname-$pkgver
-    # https://github.com/haskell/network/issues/333#issuecomment-400173091
-    runhaskell Setup test || warning "Tests failed"
-}
-
-package() {
-    cd $_hkgname-$pkgver
-    
-    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
-    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
-    runhaskell Setup copy --destdir="$pkgdir"
-    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}

Copied: haskell-network/repos/community-staging-x86_64/PKGBUILD (from rev 609305, haskell-network/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-01 22:34:41 UTC (rev 609306)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Thomas Dziedzic <gostrc at gmail.com>
+
+_hkgname=network
+pkgname=haskell-network
+pkgver=3.1.1.1
+pkgrel=6
+pkgdesc="Low-level networking interface"
+url="https://hackage.haskell.org/package/${_hkgname}"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs')
+makedepends=('ghc' 'haskell-doctest' 'haskell-hspec' 'haskell-hunit')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('caafd3c0730d0f6378230e0acdf285ca50480f02a44963c1f9ae9dc3d53cd496dd3171d7ff4bf79a1e072b85698d74f82d8075b999d5ba1d17ab1429c8094ca8')
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/haskell/network/issues/333#issuecomment-400173091
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}


More information about the arch-commits mailing list